Bug 1301846 (CVE-2015-3197) - CVE-2015-3197 OpenSSL: SSLv2 doesn't block disabled ciphers
Summary: CVE-2015-3197 OpenSSL: SSLv2 doesn't block disabled ciphers
Status: CLOSED ERRATA
Alias: CVE-2015-3197
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160128,reported=2...
Keywords: Security
Depends On: 1301848 1301849 1301850 1301851 1301852 1302767 1302768 1302769 1312901 1312902 1312903 1312904 1313535 1313595 1313598 1313621
Blocks: 1301847
TreeView+ depends on / blocked
 
Reported: 2016-01-26 07:32 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 20:58 UTC (History)
34 users (show)

(edit)
A flaw was found in the way malicious SSLv2 clients could negotiate SSLv2 ciphers that were disabled on the server. This could result in weak SSLv2 ciphers being used for SSLv2 connections, making them vulnerable to man-in-the-middle attacks.
Clone Of:
(edit)
Last Closed: 2019-04-16 14:11:57 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0301 normal SHIPPED_LIVE Important: openssl security update 2016-03-01 21:07:25 UTC
Red Hat Knowledge Base (Solution) 2145861 None None None 2016-02-05 01:06 UTC
Red Hat Product Errata RHSA-2016:0302 normal SHIPPED_LIVE Important: openssl security update 2016-03-01 19:45:53 UTC
Red Hat Product Errata RHSA-2016:0303 normal SHIPPED_LIVE Important: openssl security update 2016-03-01 19:45:41 UTC
Red Hat Product Errata RHSA-2016:0304 normal SHIPPED_LIVE Important: openssl security update 2016-03-01 19:45:06 UTC
Red Hat Product Errata RHSA-2016:0305 normal SHIPPED_LIVE Important: openssl security update 2016-03-01 20:09:45 UTC
Red Hat Product Errata RHSA-2016:0306 normal SHIPPED_LIVE Important: openssl security update 2016-03-01 19:44:56 UTC
Red Hat Product Errata RHSA-2016:0372 normal SHIPPED_LIVE Important: openssl098e security update 2016-03-09 09:08:29 UTC
Red Hat Product Errata RHSA-2016:0379 normal SHIPPED_LIVE Important: rhev-hypervisor security, bug fix and enhancement update 2016-03-09 19:10:28 UTC
Red Hat Product Errata RHSA-2016:0445 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 2.1.0 OpenSSL security update 2017-10-24 20:37:08 UTC
Red Hat Product Errata RHSA-2016:0446 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 3.0.2 OpenSSL Security Update 2016-03-15 00:00:19 UTC
Red Hat Product Errata RHSA-2016:0490 normal SHIPPED_LIVE Important: Red Hat JBoss Enterprise Application Platform 6.4.6 OpenSSL security update 2016-03-22 20:48:57 UTC

Description Huzaifa S. Sidhpurwala 2016-01-26 07:32:55 UTC
As per OpenSSL upstream:

A malicious client can negotiate SSLv2 ciphers that have been disabled on the server and complete SSLv2 handshakes even if all SSLv2 ciphers have been disabled, provided that the SSLv2 protocol was not also disabled via SSL_OP_NO_SSLv2.

This issue affects OpenSSL versions 1.0.2, 1.0.1.

OpenSSL 1.0.2 users should upgrade to 1.0.2f
OpenSSL 1.0.1 users should upgrade to 1.0.1r

This issue was reported to OpenSSL on 26th December 2015 by Nimrod Aviram and Sebastian Schinzel. The fix was developed by Nimrod Aviram with further development by Viktor Dukhovni of the OpenSSL development team.

Acknowledgements:

Name: the OpenSSL project
Upstream: Nimrod Aviram, Sebastian Schinzel

Comment 3 Huzaifa S. Sidhpurwala 2016-01-28 08:41:15 UTC
Statement:

This security flaw can only be exploited when a malicious client negotiates SSLv2 ciphers and completes a SSLv2 handshake. This flaw cannot be actively exploited by a Man-In-The-Middle attacker. 

All versions of OpenSSL shipped with Red Hat Enterprise Linux enable SSLv2 protocol, but disable SSLv2 ciphers by default (in Red Hat Enterprise Linux 6 and later), therefore are vulnerable to this flaw. Red Hat Product Security has rated this issue as having Low security impact, a future update may address this flaw.

SSLv2 suffers from a number of security flaws allowing attackers to capture and alter information passed between a client and the server. Therefore we strongly recommend that SSLv2 should be disabled on all the SSL/TLS servers.

Comment 4 Martin Prpič 2016-01-28 15:06:50 UTC
Public via:

External References:

https://www.openssl.org/news/secadv/20160128.txt

Comment 5 Martin Prpič 2016-01-28 15:13:09 UTC
Created openssl101e tracking bugs for this issue:

Affects: epel-5 [bug 1302769]

Comment 6 Martin Prpič 2016-01-28 15:13:17 UTC
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1302767]

Comment 7 Martin Prpič 2016-01-28 15:13:23 UTC
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1302768]

Comment 8 Fedora Update System 2016-01-30 18:19:52 UTC
openssl-1.0.2f-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2016-03-01 14:46:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 4 Extended Lifecycle Support

Via RHSA-2016:0306 https://rhn.redhat.com/errata/RHSA-2016-0306.html

Comment 13 errata-xmlrpc 2016-03-01 14:48:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5.6 Long Life
  Red Hat Enterprise Linux 5.9 Long Life

Via RHSA-2016:0304 https://rhn.redhat.com/errata/RHSA-2016-0304.html

Comment 14 errata-xmlrpc 2016-03-01 14:50:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 Advanced Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.4 Advanced Update Support

Via RHSA-2016:0303 https://rhn.redhat.com/errata/RHSA-2016-0303.html

Comment 15 errata-xmlrpc 2016-03-01 14:51:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5

Via RHSA-2016:0302 https://rhn.redhat.com/errata/RHSA-2016-0302.html

Comment 16 errata-xmlrpc 2016-03-01 15:11:24 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.1 Extended Update Support
  Red Hat Enterprise Linux 6.6 Extended Update Support

Via RHSA-2016:0305 https://rhn.redhat.com/errata/RHSA-2016-0305.html

Comment 17 errata-xmlrpc 2016-03-01 16:07:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0301 https://rhn.redhat.com/errata/RHSA-2016-0301.html

Comment 22 errata-xmlrpc 2016-03-09 04:09:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0372 https://rhn.redhat.com/errata/RHSA-2016-0372.html

Comment 23 errata-xmlrpc 2016-03-09 14:48:26 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6
  RHEV-H and Agents for RHEL-7

Via RHSA-2016:0379 https://rhn.redhat.com/errata/RHSA-2016-0379.html

Comment 24 errata-xmlrpc 2016-03-14 16:44:12 UTC
This issue has been addressed in the following products:

  JBoss Web Server 2.1.0

Via RHSA-2016:0445 https://rhn.redhat.com/errata/RHSA-2016-0445.html

Comment 25 errata-xmlrpc 2016-03-14 20:02:12 UTC
This issue has been addressed in the following products:

  JBoss Web Server 3.0.2

Via RHSA-2016:0446 https://rhn.redhat.com/errata/RHSA-2016-0446.html

Comment 26 Fedora Update System 2016-03-17 18:24:21 UTC
openssl101e-1.0.1e-7.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 errata-xmlrpc 2016-03-22 16:49:47 UTC
This issue has been addressed in the following products:

  JBoss Enterprise Application Platform 6.4.6

Via RHSA-2016:0490 https://rhn.redhat.com/errata/RHSA-2016-0490.html


Note You need to log in before you can comment on or make changes to this bug.